org.appng.xml.platform

## Enum SelectionType

- java.lang.Object
- - java.lang.Enum<SelectionType>
  - - org.appng.xml.platform.SelectionType

- All Implemented Interfaces:
    Serializable, Comparable<SelectionType>

      public enum SelectionType
      extends Enum<SelectionType>

  Java class for selectionType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="selectionType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="select"/>
           <enumeration value="select:multiple"/>
           <enumeration value="radio"/>
           <enumeration value="checkbox"/>
           <enumeration value="text"/>
           <enumeration value="date"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX` Display selection as a (list of) checkbox(es).
    `DATE` Display selection as a date, using a calendar.
    `RADIO` Display selection as a list of radio buttons.
    `SELECT` Display selection as a dropdown-list (single-selection).
    `SELECT_MULTIPLE` Display selection as a dropdown-list (multi-selection).
    `TEXT` Display selection as a text-field.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectionType` | `fromValue(String v)`
    `String` | `value()`
    `static SelectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SelectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final SelectionType SELECT

      Display selection as a dropdown-list (single-selection).

    - #### SELECT_MULTIPLE

          public static final SelectionType SELECT_MULTIPLE

      Display selection as a dropdown-list (multi-selection).

    - #### RADIO

          public static final SelectionType RADIO

      Display selection as a list of radio buttons.

    - #### CHECKBOX

          public static final SelectionType CHECKBOX

      Display selection as a (list of) checkbox(es).

    - #### TEXT

          public static final SelectionType TEXT

      Display selection as a text-field.

    - #### DATE

          public static final SelectionType DATE

      Display selection as a date, using a calendar.

  - ### Method Detail

    - #### values

          public static SelectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionType c : SelectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static SelectionType fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.